> ## Documentation Index
> Fetch the complete documentation index at: https://next-developers.opencard.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create card



## OpenAPI

````yaml /openapi/issuer-api.json post /api/v1/issuers/{slug}/cards
openapi: 3.0.3
info:
  title: OpenCard Issuer API
  version: '1.0'
  description: >-
    Card issuers register cards and push transaction states. Replace {slug} with
    your assigned issuer identifier.
  contact:
    email: support@opencard.io
servers:
  - url: https://api.opencard.io
    description: Production
  - url: https://sandbox-api.opencard.io
    description: Sandbox
security: []
tags:
  - name: Cards
    description: Card registry
  - name: Transaction States
    description: Transaction lifecycle events
paths:
  /api/v1/issuers/{slug}/cards:
    post:
      tags:
        - Cards
      summary: Create card
      operationId: createIssuerCard
      parameters:
        - name: slug
          in: path
          required: true
          description: Issuer slug assigned by OpenCard
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/IssuerCardCreate'
            example:
              id: '12345'
              last_four: '1234'
              bin_number: '123456'
              liability: corporate_with_personal_invoice
              scheme: visa
              funding: credit
              issuer_organization_number: '5555555551'
              issuer_country_code: SE
              identity:
                ssn: '190001011111'
                ssn_country_code: SE
                name: Test Testsson
                company_organization_number: '5555555555'
                company_country_code: SE
      responses:
        '200':
          description: Already exists
          content:
            application/json:
              example:
                ok: true
                cardId: '12345'
                created: false
        '201':
          description: Created
          content:
            application/json:
              example:
                ok: true
                cardId: '12345'
                created: true
      security:
        - bearer: []
components:
  schemas:
    IssuerCardCreate:
      type: object
      required:
        - id
        - last_four
        - bin_number
        - liability
        - scheme
        - issuer_organization_number
        - issuer_country_code
        - identity
      properties:
        id:
          type: string
        last_four:
          type: string
          maxLength: 4
        bin_number:
          type: string
        liability:
          type: string
          enum:
            - personal
            - corporate
            - corporate_with_personal_invoice
        scheme:
          type: string
        funding:
          type: string
          enum:
            - debit
            - credit
          description: Card funding — delivered to EMS as webhook field `card_funding`
        issuer_organization_number:
          type: string
        issuer_country_code:
          type: string
          minLength: 2
          maxLength: 2
        identity:
          $ref: '#/components/schemas/IssuerIdentity'
    IssuerIdentity:
      type: object
      required:
        - ssn
        - ssn_country_code
        - name
        - company_organization_number
        - company_country_code
      properties:
        ssn:
          type: string
        ssn_country_code:
          type: string
        name:
          type: string
        company_organization_number:
          type: string
        company_country_code:
          type: string
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````